CUTLASS: cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Mask Struct Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Mask Struct Reference

Mask object.

`#include <predicated_tile_iterator.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE | Mask ()
| Efficiently disables all accesses guarded by mask. More...
CUTLASS_HOST_DEVICE void | clear ()
| CUTLASS_HOST_DEVICE enables all accesses guarded by mask. More...
CUTLASS_DEVICE void | enable ()

## Public Attributes
bool | predicates [kCount]
| Predicate state. More...

## Static Public Attributes
static int const | kCount = ThreadMap::Iterations::kColumn

## Constructor & Destructor Documentation

template<typename ThreadMap_ , typename Element_ >

CUTLASS_HOST_DEVICE cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Mask::Mask | ( |  | ) |
| inline

## Member Function Documentation

template<typename ThreadMap_ , typename Element_ >

CUTLASS_HOST_DEVICE void cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Mask::clear | ( |  | ) |
| inline

template<typename ThreadMap_ , typename Element_ >

CUTLASS_DEVICE void cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Mask::enable | ( |  | ) |
| inline

## Member Data Documentation

template<typename ThreadMap_ , typename Element_ >

int const cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Mask::kCount = ThreadMap::Iterations::kColumn
| static

template<typename ThreadMap_ , typename Element_ >

bool cutlass::epilogue::threadblock::PredicatedTileIterator< ThreadMap_, Element_ >::Mask::predicates[kCount]

The documentation for this struct was generated from the following file:

- epilogue/threadblock/predicated_tile_iterator.h